<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_medical_reports', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id')->unsigned();
            $table->text('content')->nullable();
            $table->date('medical_date')->nullable();
            $table->text('desc')->nullable();
            $table->text('anomaly')->nullable();
            $table->tinyInteger('anomaly_type')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_medical_reports');
    }
};
